Create a new configuration, or a new version of a configuration.

puthttps://app.mk.io/api/v1/projects/:project_name/templating/configs/:config_type/:name

This will create a new Configuration object, or a new version of a Configuration if one with this name exists. Any tags set in this request will be removed from any other version of this Configuration.

RBAC Capability Required: templating.configs.create

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
config_typestringRequired
namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

200Updated configuration

Loading schema details…

201Created configuration

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…